#!/bin/bash
###################################
#fuction  zabbix-server envirorment 
#created by AL  2018/05/01
####################################

install_path=`pwd`

###lib install
yum install -y gcc gcc-c++  ncurses-devel  zlib curl-devel  libxml2* openssl* libcurl* libjpeg* libpng* freetype* libmcrypt* php-gd.x86_64  php-pdo.x86_64 php-xmlrpc.x86_64  php-bcmath.x86_64 libxpm-devel cmake libxml2 libxml2-devel net-snmp-devel libxPm wget libxPm-devel  libXpm-devel  libXpm

## create user and group

groupadd www -g 504
useradd -s /sbin/nologin -M www -u 504 -g 504







###configure php

cp  -f ${install_path}/bin/php-fpm  /etc/init.d/php-fpm
chmod 755 /etc/init.d/php-fpm
/sbin/chkconfig --add php-fpm
/sbin/chkconfig --level 345 php-fpm on
tar zxf ${install_path}/files/php72.tar.gz -C /opt/

###configure nginx
mkdir -p /opt/web/php
cp  -f ${install_path}/bin/nginx  /etc/init.d/nginx

chmod +x /etc/init.d/nginx
/sbin/chkconfig --add nginx
/sbin/chkconfig --level 345 nginx on
tar zxf ${install_path}/files/nginx.tar.gz -C /opt/



if [ $? == 0 ];then
echo "##################"  
echo -e "\033[40;32m install success \033[0m"
echo "###################"

  
 else 
  echo "##############"
 echo -e "\033[40;31m error \033[0m"
 echo "############" 
 fi




















